drop table calculate_cgpa;
drop table result;
drop table course_taken;
drop table courses;
drop table students;
CREATE TABLE students(
	roll number(7),
	name varchar(30) NOT NULL,
	department varchar(30) NOT NULL,
	PRIMARY KEY(roll)
);

CREATE TABLE courses(
	c_id varchar(30),
	c_name varchar(20) UNIQUE,
	year integer CHECK(year>=1 AND year<=4),
	term integer CHECK(term>=1 AND term<=2),
	credit number(3,2) default 3.00,
	PRIMARY KEY(c_id)
);

CREATE TABLE course_taken(
	roll number(7),
	c_id varchar(30),
	Sesion varchar(30),
	FOREIGN KEY(roll) references students(roll) on delete cascade
);

CREATE TABLE result(
        roll number(7),
        c_id varchar(30),
        gpa  number(3,2),
FOREIGN KEY(roll) references students(roll) on delete cascade,
FOREIGN KEY(c_id) references courses(c_id) on delete cascade
);

CREATE TABLE calculate_cgpa(
        roll number(7),
        year integer CHECK(year>=1 AND year<=4),
	term integer CHECK(term>=1 AND term<=2), 
        cgpa number(3,2),
FOREIGN KEY(roll) references students(roll) on delete cascade
);
        
describe result;
describe students;
describe courses;
describe course_taken;

INSERT INTO students values(1107001, 'Subashish', 'CSE');
INSERT INTO students values(1107002, 'Sun', 'ECE');
INSERT INTO students values(1107003, 'Raju', 'CSE');
INSERT INTO students values(1107004, 'Rasik', 'CSE');
INSERT INTO students values(1107005, 'Peal', 'ME');
INSERT INTO students values(1107006, 'Jishan', 'CSE');

INSERT INTO courses(c_id, c_name, year, term) values('CSE-3110', 'Database System', 3, 1);
INSERT INTO courses(c_id, c_name, year, term) values('CSE-3120', 'Software Design', 3, 1);
INSERT INTO courses(c_id, c_name, year, term) values('ECE-3105', 'Data Communication', 3, 1);
INSERT INTO courses(c_id, c_name, year, term) values('MATH-3115', 'Math', 3, 1);
INSERT INTO courses(c_id, c_name, year, term) values('CSE-3111', 'Hardware System', 3, 1);
INSERT INTO courses(c_id, c_name, year, term) values('CSE-3100', 'Drawing', 2, 1);

INSERT INTO course_taken(roll, c_id, Sesion) values(1107001, 'CSE-3110', '2013-2014');
INSERT INTO course_taken(roll, c_id, Sesion) values(1107002, 'ECE-3105', '2013-2014');
INSERT INTO course_taken(roll, c_id, Sesion) values(1107003, 'CSE-3110', '2013-2014');
INSERT INTO course_taken(roll, c_id, Sesion) values(1107004, 'CSE-3110', '2013-2014');
INSERT INTO course_taken(roll, c_id, Sesion) values(1107005, 'MATH-3115', '2013-2014');
INSERT INTO course_taken(roll, c_id, Sesion) values(1107006, 'MATH-3115', '2013-2014');

INSERT INTO result(roll,c_id,gpa) values(1107001,'CSE-3110',3.5);
INSERT INTO result(roll,c_id,gpa) values(1107002,'ECE-3105',3.75);
INSERT INTO result(roll,c_id,gpa) values(1107003,'CSE-3110',3.25);
INSERT INTO result(roll,c_id,gpa) values(1107004,'CSE-3110,3.00);
INSERT INTO result(roll,c_id,gpa) values(1107005,'MATH-3115',4.00);
INSERT INTO result(roll,c_id,gpa) values(1107006,'MATH-3115',4.00);



select * from result;
select * from students;
select * from courses;
select * from course_taken;


DELETE FROM students where roll=1107002;

select * from students;

update students set name='Fahad' where roll=1107001;

select * from students;

select * from students where department='CSE';

select roll from course_taken where sesion in('2012-2013','2013-2014','2014-2015');

select count(roll) from students where department='CSE';

select sum(credit) from courses where year=2;


select s.name,s.department,t.Sesion from students s JOIN course_taken t using(roll);

select s.name,s.department,t.Sesion from students s NATURAL JOIN course_taken t;



