DROP TABLE result;
DROP TABLE candidates;
DROP TABLE registration;

CREATE TABLE registration(
  id varchar2(50) NOT NULL,
  pin_number varchar2(50) NOT NULL,
  name varchar2(50) NOT NULL,
  age number(20) NOT NULL,
  sex varchar2(50) NOT NULL,
  thana varchar2(50) NOT NULL,
  voting_center varchar2(50) NOT NULL,
  seat_no varchar2(50) NOT NULL,
  district varchar2(50) NOT NULL,
  username varchar2(50) NOT NULL,
  password varchar2(50) NOT NULL,
  vote number(20) CHECK(vote>=0 AND vote<2),
  PRIMARY KEY (id)
);

CREATE TABLE candidates(
  can_id varchar2(50) NOT NULL,
  can_name varchar2(50) NOT NULL,
  party_name varchar2(50) NOT NULL,
  thana varchar2(50) NOT NULL,
  seat_no varchar2(50) NOT NULL,
  district varchar2(50) NOT NULL,
  total number(20) NOT NULL,
  PRIMARY KEY (can_id)
);

CREATE TABLE result(
  can_id varchar2(50) NOT NULL,
  seat_no varchar2(50) NOT NULL,
  vote number(20),
  FOREIGN KEY(seat_no) REFERENCES registration ON DELETE CASCADE
);
 
DESCRIBE registration;
DESCRIBE candidates;
DESCRIBE result;

INSERT INTO registration(id,pin_number,name,age,sex,thana,voting_center,seat_no,district,username,password,vote) VALUES('1AMT5','doctor987','Raka Tabbasum',21,'Female','Rajarbag','Rajarbag Police Line School','Rajsahi-09','Rajsahi','rotation','7890',0);
INSERT INTO registration(id,pin_number,name,age,sex,thana,voting_center,seat_no,district,username,password,vote) VALUES('3MZE7','sharlock765','Fakhrul Hossen',32,'Male','Fulgazi','Bibirhat Govt High School','Khulna-05','Khulna','optimal','3452',0);
INSERT INTO registration(id,pin_number,name,age,sex,thana,voting_center,seat_no,district,username,password,vote) VALUES('3SR9H','castle987','Seikh Muhammad Saleh',49,'Male','Khan Jahan Ali','Govt. Laboratory School','Khulna-05','Khulna','mechanism','7531',0);
INSERT INTO registration(id,pin_number,name,age,sex,thana,voting_center,seat_no,district,username,password,vote) VALUES('7D4AF','sharlock987','Nazia Nourin',24,'Female','Gulbagicha','Gulbagicha govt. high school','Dhaka-01','Dhaka','rushhour','12345',0);
INSERT INTO registration(id,pin_number,name,age,sex,thana,voting_center,seat_no,district,username,password,vote) VALUES('7YH0N','doctor765','Raihan Mahmud Khan',61, 'Male','Digholiya','Rajsahi Govt Boys High School','Rajsahi-09','Rajsahi','hypnotize','14789',0);

INSERT INTO candidates(can_id,can_name,party_name,thana,seat_no,district,total) VALUES('0111','Sheikh Hasina','Bangladesh Awami Leage','Bikrompur','Dhaka-01','Dhaka',1);
INSERT INTO candidates(can_id,can_name,party_name,thana,seat_no,district,total) VALUES('0112','H.M Ershad','Bangladesh Jatiyo Party','Daulatdia','Dhaka-01','Dhaka',0);
INSERT INTO candidates(can_id,can_name,party_name,thana,seat_no,district,total) VALUES('0301','Junayed Rahman Polok','Bangladesh Awami Leage','Daulatpur','Khulna-05','Khulna',4);
INSERT INTO candidates(can_id,can_name,party_name,thana,seat_no,district,total) VALUES('0302','Oli Ahmed','Bikolpo Dhara Bangladesh','Shiromoni','Khulna-05','Khulna',1);
INSERT INTO candidates(can_id,can_name,party_name,thana,seat_no,district,total) VALUES('0691','Elius Ali Mollah','Bangladesh Awami Leage','Dighir Chor','Rajsahi-09','Rajsahi',2);
INSERT INTO candidates(can_id,can_name,party_name,thana,seat_no,district,total) VALUES('0692','Abdus Shobhan Chowdhury','Bangladesh Nationalist Party','Gulbagicha','Rajsahi-09','Rajsahi',0);

SELECT id,pin_number FROM registration;
SELECT can_id FROM candidates;