drop table orders;
drop table products;
drop table users;

CREATE TABLE users(
user_id number,
username varchar(20) not null,
email varchar(50) not null,
password varchar(20) not null,
contact number(20),
address varchar(30),
primary key(user_id)
);

create table products(
product_id number,
product_name varchar(20) unique,
price number,
description varchar(50),
primary key(product_id)
);

create table orders(
order_id number,
user_id number,
product_id number,
order_date date,
quantity number,
foreign key(user_id) references users(user_id) on delete cascade
);

describe users;
describe products;
describe orders;

insert into users values(1107016,'nazia','nourin_nazia@yahoo.com','12345',01766018924,'kuet');
insert into users values(1107011,'farzana','farzana5287@yahoo.com','12345',01675318924,'kuet');
insert into users values(1107013,'sharmin','sharmin13@yahoo.com','12345',01766564231,'khulna');
insert into users values(1107029,'nuzhum','tasnim_mehzabin@yahoo.com','12345',01787018924,'kuet');
insert into users values(1107022,'rupa','fiza_abida@yahoo.com','12345',01816018924,'kuet');
insert into users values(1107034,'eti','jannatul_ferdous@yahoo.com','12345',019345678101,'kuet');
insert into products values(001,'samsung tab',32000,'it has fm radio and video player');
insert into products values(002,'sony ericson',30000,'it has a voice recorder');
insert into products values(003,'nokia lumia',20000,'it has internet facilities');
insert into products values(004,'hp laptop',60000,'it has a 5 gb ram and core i5');
insert into products values(005,'dslr camera',70000,'it has high resolution camera');
insert into orders values(11,1107016,004,'20-jul-13',1);
insert into orders values(12,1107011,002,'30-jul-14',2);
insert into orders values(13,1107013,004,'08-sep-12',2);
insert into orders values(14,1107029,002,'31-oct-12',3);
insert into orders values(15,1107029,004,'14-dec-13',3);
insert into orders values(16,1107034,001,'23-jul-13',4);
insert into orders values(17,1107038,001,'18-dec-13',3);

select * from users; 
select * from products; 
select * from orders; 
select username,contact from users where address='kuet';

select s.user_id,o.order_date from users s,orders o where s.user_id=o.user_id and o.order_date in('20-jul-13','30-jul-14');

select count(username) from users where address='kuet';
select o.user_id,sum(o.quantity) from products p,orders o where p.product_id=o.product_id group by o.user_id;
select s.username,s.email,s.address from users s where s.user_id in(select o.user_id from orders o where o.order_date='23-jul-13');

select s.username,s.contact from users s where address='kuet'
intersect
select s.username,s.contact from users s where s.user_id in(select o.user_id from orders o where o.product_id=004);  
commit;
