drop table helpdesk;
drop table donationlist;
drop table donate;
drop table contactinfo;
drop table rtest;

create table rtest(
name varchar(30) not null,
dept varchar(10) not null,
roll integer,
contact varchar(30),
email varchar(30) unique,
bg varchar(10) not null,
sex varchar(10),
m_type varchar(10) not null,
pass varchar(30) not null,
flag varchar(15),
PRIMARY KEY (roll)
);

create table contactinfo(
roll integer, 
name varchar(30) not null,  
dept varchar(20),
year varchar(10),
contact number(20) not null,
email varchar(30) not null,
primary key (email),
foreign key (roll) references rtest on delete cascade
);

create table donationlist(
roll integer,
sl_no integer,
id varchar(30), 
name varchar(20) not null,
BloodGroup varchar(10) not null,
Num_bag integer,
dona_date varchar(20),
primary key (sl_no),
foreign key (roll) references rtest on delete cascade
);

create table donate(
serial_num integer, 
name varchar(20) not null,
bg varchar(10) not null,
contact number(20) not null,
sex varchar(10),
age integer check(age>=18 and age<=34),
weight_kg integer check(weight_kg>=45),
primary key (serial_num) 
);

create table helpdesk(
bg varchar(10),
contact number(20),
reason varchar(40),
address varchar(30)
);

describe rtest;
describe contactinfo;
describe donationlist;
describe donate;
describe helpdesk;

alter table rtest modify contact integer;
describe rtest;

alter table helpdesk drop column address;
describe helpdesk;

alter table helpdesk add address varchar(30) ;
describe helpdesk;

insert into rtest (name,dept,roll,contact,email,bg,sex,m_type,pass,flag) values ('partho','CSE',1107018,01911200554,'emtious@gmail.com','o+','male','member','mmss','Accepted');
insert into rtest (name,dept,roll,contact,email,bg,sex,m_type,pass,flag) values ('shuva','CSE',1107012,01672867659,'emtious16@gmail.com','o+','male','doner','mmss','Accepted');
insert into rtest (name,dept,roll,contact,email,bg,sex,m_type,pass,flag) values ('Mustafiz','CSE',1107057,01915002504,'mustafizkuetcse@gmail.com','A+','male','doner','mmss','Pending');
insert into rtest (name,dept,roll,contact,email,bg,sex,m_type,pass,flag) values ('badhon','CSE',1107058,01915002504,'mustafizkuet@gmail.com','A+','male','doner','mmss','Pending');

insert into donationlist (sl_no,id,name,BloodGroup,Num_bag,dona_date) values (01,'1107018','partho','o+',1,'24/02/12');
insert into donationlist (sl_no,id,name,BloodGroup,Num_bag,dona_date) values (02,'1107018','partho','o+',1,'24/05/12');
insert into donationlist (sl_no,id,name,BloodGroup,Num_bag,dona_date) values (03,'1107012','shuva','A+',1,'24/09/12');
insert into donationlist (sl_no,id,name,BloodGroup,Num_bag,dona_date) values (04,'1107012','shuva','B+',1,'24/02/13');


insert into contactinfo (name,dept,year,contact,email) values ('partho','EEE','4th','01734752862','partho@gmail.com');
insert into contactinfo (name,dept,year,contact,email) values ('shuva','CSE','3rd','01686377877','shuva@gmail.com');

insert into donate (serial_num,name,bg,contact,sex,age,weight_kg) values (01,'awon','o+',01672468928,'male',21,58);
insert into donate (serial_num,name,bg,contact,sex,age,weight_kg) values (02,'badhon','B+',01744482326,'male',23,68);

insert into helpdesk(bg,contact,reason,address) values ('o+',01652154685,'operation','Khulna');
insert into helpdesk(bg,contact,reason,address) values ('A+',01654689526,'Pagnent','Fulbari'); 

alter table rtest rename column bg to BloodGroup;
alter table rtest rename column m_type to MemberType;
alter table donate rename column bg to BloodGroup;
alter table helpdesk rename column bg to BloodGroup;

select * from rtest;
select * from contactinfo;
select * from donate;
select * from helpdesk;

delete from rtest where roll=1107012; 
select * from rtest;

update rtest set name='Awon' where roll=1107057;
select * from rtest; 

select name,contact from rtest where BloodGroup='o+' ;

select name,Num_bag from donationlist where dona_date in('24/02/12','24/05/12','24/09/12');

select BloodGroup,count(name) from donationlist group by BloodGroup ;

select name,sum(Num_bag) from donationlist group by name ;

commit;
