DROP TABLE grade;
DROP TABLE marks;
DROP TABLE course_taken;
DROP TABLE courses;
DROP TABLE students;
CREATE TABLE students(
	roll number(10),
	name varchar(20) not null,
	department varchar(20) not null,
	PRIMARY KEY(roll)
);
CREATE TABLE courses(
	c_id varchar(20),
	c_name varchar(20),
        year integer CHECK (year>=1 AND year<=4),
	credit number(3,2),
	PRIMARY KEY(c_id)
);
CREATE TABLE course_taken(
	roll number(10),
	c_id varchar(20),
	session_yr varchar(30),
	FOREIGN KEY(roll) references students(roll) on delete cascade
);

CREATE TABLE marks(
	roll number(10),
	c_id varchar(20),
	gp number(3,2),
	lgp varchar(10),
);

CREATE TABLE grade(
	roll number(10),
	total_gp number(5,3),
	gpa number(3,2),
        FOREIGN KEY(roll) references students(roll) on delete cascade
);

describe students;
describe courses;
describe course_taken;
describe marks;
describe grade;

INSERT INTO students(roll,name,department) values(1107001, 'A', 'CSE');
INSERT INTO students(roll,name,department) values(1107002, 'B', 'CSE');
INSERT INTO students(roll,name,department) values(1107003, 'C', 'CSE');
INSERT INTO students(roll,name,department) values(1107004, 'D', 'CSE');
INSERT INTO students(roll,name,department) values(1107005, 'E', 'CSE');
INSERT INTO students(roll,name,department) values(1107006, 'F', 'CSE');

INSERT INTO courses(c_id, c_name, year, term) values('CSE-1110', 'Database System', 1, 1);
INSERT INTO courses(c_id, c_name, year, term) values('CSE-2120', 'Software Design', 2, 1);
INSERT INTO courses(c_id, c_name, year, term) values('ECE-3100', 'Data Communication', 3, 1);
INSERT INTO courses(c_id, c_name, year, term) values('MATH-2115','Math', 2, 1);
INSERT INTO courses(c_id, c_name, year, term) values('CSE-2111', 'Digital Logic', 2, 1);
INSERT INTO courses(c_id, c_name, year, term) values('CSE-3100', 'Computation', 3, 1);


INSERT INTO course_taken(roll, c_id, session_yr) values(1107001, 'CSE-1110', '2013-14');
INSERT INTO course_taken(roll, c_id, session_yr) values(1107002, 'ECE-3100', '2013-14');
INSERT INTO course_taken(roll, c_id, session_yr) values(1107003, 'CSE-2120', '2013-14');
INSERT INTO course_taken(roll, c_id, session_yr) values(1107004, 'CSE-3100', '2013-14');
INSERT INTO course_taken(roll, c_id, session_yr) values(1107005, 'MATH-2115', '2013-14');
INSERT INTO course_taken(roll, c_id, session_yr) values(1107006, 'MATH-2115', '2013-14');


