drop table judgement;
drop table submission;
drop table task;
drop table teacher;
drop table student;

create table student (
                        roll integer,
                        name varchar(30) not null,
                        department varchar(20) not null,
                        s_batch varchar(20),
                        primary key(roll)
);

create table teacher (
                        teacher_id integer,
                        teacher_name varchar(30) not null,
                        teacher_department varchar(20),
                        primary key(teacher_id)
); 

create table task (
                        task_id integer,
                        task_type varchar(20),
                        task_name varchar(30),
                        description varchar(20),
                        subm_deadline date,
                        batch varchar(20),
                        teacher_id integer,
                        primary key(task_id), 
                        foreign key(teacher_id) references teacher
);

create table submission (
                        subm_id integer,
                        task_id integer,
                        roll integer,
                        subm_date date,
                        primary key(subm_id),
                        foreign key(task_id) references task,
                        foreign key(roll) references student
);

create table judgement (
                        j_id integer,
                        subm_id integer,
                        mark integer,
                        primary key(j_id),
                        foreign key(subm_id) references submission
);

describe student;
describe teacher;
describe task;
describe submission;
describe judgement;

insert into student (roll,name,department,s_batch) values(1,'a','eee','2k11');
insert into student (roll,name,department,s_batch) values(2,'b','cse','2k11');
insert into student (roll,name,department,s_batch) values(3,'c','eee','2k11');

insert into teacher (teacher_id,teacher_name,teacher_department) values(1,'aa','cse');
insert into teacher (teacher_id,teacher_name,teacher_department) values(2,'bb','eee');
insert into teacher (teacher_id,teacher_name,teacher_department) values(3,'cc','cse');

insert into task (task_id,task_type,task_name,description,subm_deadline,batch,teacher_id) values (1,'hw','aaa','...',to_date('2/5/2015','dd/mm/yyyy'),'2k11',1);
insert into task (task_id,task_type,task_name,description,subm_deadline,batch,teacher_id) values (2,'hw','bbb','...',to_date('2/5/2015','dd/mm/yyyy'),'2k11',2);
insert into task (task_id,task_type,task_name,description,subm_deadline,batch,teacher_id) values (3,'hw','aaa','...',to_date('2/5/2015','dd/mm/yyyy'),'2k11',1);

insert into submission (subm_id,task_id,roll,subm_date) values (1,1,1,sysdate);
insert into submission (subm_id,task_id,roll,subm_date) values (2,1,2,sysdate);
insert into submission (subm_id,task_id,roll,subm_date) values (3,1,3,sysdate);

insert into judgement (j_id,subm_id,mark) values (1,1,10);
insert into judgement (j_id,subm_id,mark) values (2,2,10);
insert into judgement (j_id,subm_id,mark) values (3,3,10);

select * from student;
select * from teacher;
select * from task;
select * from submission;
select * from judgement;
