drop table tutorial;
drop table problem;
drop table contest;
drop table users;

create table users(
	userid number(10),
	username varchar(15) unique not null,
	password varchar(30) not null,
	fullname varchar(50),
	email varchar(50) not null,
	roll number(10) not null,
	batch varchar(10),
	adminstatus number(1) not null,
    primary key(userid)
);
create table tutorial(
	tutorialid integer,
	tutorialname varchar(100) not null,
	tutorialpath varchar(200) unique not null,
	status number(1) not null,
	categoryname varchar(50) not null,
    userid number(10) references users(userid) on delete cascade not null,
	primary key(tutorialid)
);
create table problem(
    problemid integer,
	problemname varchar(100) not null,
	problempath varchar(200) unique not null,
	status number(1) not null,
    userid number(10) references users(userid) on delete cascade not null,
	primary key(problemid)
);
create table contest(
	contestid integer,
	contestname varchar(200) not null,
	contestdate varchar(50) not null,
	contesttime varchar(50) not null,
	contestresult varchar(200) unique not null,
	conteststatus number(1) not null,
	primary key(contestid)
);

insert into users(userid,username,password,fullname,email,roll,batch,adminstatus)values(1,'setu','11','setu basak','setu.1421@yahoo.com',1107043,'2k11',1);
insert into users(userid,username,password,fullname,email,roll,batch,adminstatus)values(2,'shuvashis','12','shuvashis karmakar','shuvashis.1121@yahoo.com',1107001,'2k11',0);

insert into tutorial(tutorialid,tutorialname,tutorialpath,categoryname,userid,status)values(1,'binary search','C:\Database\binarysearch','data structure',1,1);
insert into tutorial(tutorialid,tutorialname,tutorialpath,categoryname,userid,status)values(2,'bubble sort','C:\Database\bubblesort','data structure',2,0);

insert into problem(problemid,problemname,problempath,userid,status)values(1,'binary search','C:\Database\problem\binarysearch',1,1);
insert into problem(problemid,problemname,problempath,userid,status)values(2,'ternary search','C:\Database\problem\ternarysearch',2,0);

insert into contest(contestid,contestname,contestdate,contesttime,contestresult,conteststatus)values(1,'summer contest-01','11-10-2014','12:30','C:\Database\contest\summercontest1',1);
insert into contest(contestid,contestname,contestdate,contesttime,contestresult,conteststatus)values(2,'summer contest-02 ','12-10-2014','12:30','C:\Database\contest\summercontest2',0);		

select * from users;
select * from tutorial;
select * from problem;
select * from contest;