drop  table sresult;
drop table thesis;
drop table office;
drop table course;
drop table staff;
drop table teacher;
drop table student;

create table student
(
    st_roll number(12),
	st_name varchar(15) not null,
	st_birth varchar(50) not null,
	st_sex varchar(5) not null,
	st_mobile number(11),
	st_email varchar(18) unique,
	st_batch varchar(8),
	primary key(st_roll)
);

create table teacher
(
    t_id number(12),
    t_name varchar(20),
	t_sex  varchar(5),
	t_mobile number(12),
	t_post varchar(17),
	t_email varchar(23) unique,
	primary key(t_id)
);
create table staff
(  
    s_id number(12),
    s_name varchar(20),
	s_sex varchar(12) not null,
	s_post varchar(11),
	s_email varchar(15) unique,
	primary key(s_id)
);
create table sresult
(   
    roll number(13),
    yer number(1)check(yer>=1and yer<=4),
	term number(1)check(term>=1 and term<=2),
    gpa number(3,2),
    cgpa number(3,2),
	total_credit number(4,2),
    foreign key (roll) references student(st_roll) on delete cascade
);
create table course
(    
     c_no number(12),
	 c_name varchar(12),
	 c_pre_req_course varchar(12),
	 yer number(1)check(yer>=1and yer<=4),
	 term number(1)check(term>=1 and term<=2),
	 ssion varchar(12),
	 primary key (c_no)
);

create table office
(
      s_id number(9),
	  t_id number(9),
	  o_coming varchar(9),
	  o_going varchar(9)
);
create table thesis
(
      title varchar(45),
	  ssion varchar(13),
	  roll number(12),
	  t_roll number(12),
	  course_no number(4),
	  foreign key (roll) references student(st_roll) on delete cascade,
	  foreign key (t_roll) references teacher(t_id) on delete cascade,
	  foreign key (course_no) references course(c_no) on delete cascade 
);
describe student;
describe teacher;
describe staff;
describe sresult;
describe thesis;
describe course;
describe office;

insert into student values(1107044,'Rafiul','15 march','male',017,'rafiul@gmail.com','2k11');
insert into student values(1107045,'Safiq','20 march','male',8276,'safiul@gmail.com','2k11');
insert into student values(1207057,'Rabiul','6 april','male',1329,'rabiul@gmail.com','2k12');
insert into student values(1307032,'jamal','15 may','male',7764,'jamal@gmail.com','2k13');
insert into student values(1007031,'Bokul','1 june','male',8276,'bokul@gmail.com','2k10');
insert into student values(1107023,'Anis','15 june','male',1164,'anis@gmail.com','2k10');

insert into teacher values(056,'Ajmal','male',0935,'lec','gm@gmil.com');
insert into teacher values(055,'kamal','male',0934,'prof','op@gmil.com');
insert into teacher values(057,'Akram','male',0933,'ass.prof','pt@gmil.com');

insert into staff values(234,'Dulal','male','Lab-assist','dul@gmail.com');
insert into staff values(236,'Jamir','male','Lab-assist','jamir@gmail.com');
insert into staff values(237,'Tonoy','male','Engr','ton@gmail.com');

insert into sresult values(1107044,3,1,3.5,3.3,76.5);
insert into sresult values(1107045,3,1,3.9,3.4,76.5);
insert into sresult values(1207057,2,1,3.5,3.3,56.5);
insert into sresult values(1307032,1,1,3.5,3.3,26.5);
insert into sresult values(1007031,4,1,3.2,3.3,96.5);
insert into sresult values(1107023,3,1,3.8,3.4,76.5);

insert into course values(4120,'soft','dld',4,1,'2013-2014');
insert into course values(3110,'auto','phy',3,1,'2012-2013');
insert into course values(2120,'data','c',2,1,'2012-2013');
insert into course values(1107,'EE3','EE2',1,1,'2013-2014');
insert into course values(3109,'DB','C++',3,1,'2013-2014');
insert into course values(3115,'ECE','MP',3,1,'2013-2014');

insert into thesis values('CPP','2013-2014',1107045,056,4120);
insert into thesis values('java','2012-2013',1007031,057,3110);
insert into thesis values('anroid','2011-2012',1207057,055,2120);

insert into office values(234,056,'9.00am','5.00pm');
select * from student;
select *from teacher;
select *from staff;
select *from sresult;
select *from thesis;
select *from course;
select *from office;