drop table customers;
drop table products;
drop table contact;
drop table users;
drop table pages;
drop table subjects;




CREATE TABLE subjects(
       s_id     number(10) NOT NULL,
       s_name   varchar(30),
       position       number(10) NOT NULL,
       visibility     number(10),
       PRIMARY KEY    (s_id) 
       );

CREATE TABLE pages(
       page_id        number(10) NOT NULL,
       page_name      varchar(30),
       position       number(10) NOT NULL,
       visibility     number(10),
       PRIMARY KEY    (page_id),
       dno1           number(2) NOT NULL,
       FOREIGN KEY    (dno1) REFERENCES subjects (s_id) 
       );

CREATE TABLE users(
       user_id        number(10) NOT NULL,
       user_name      varchar(30),
       password       varchar(30),
       PRIMARY KEY    (user_id),
       dno2           number(2) NOT NULL,
       FOREIGN KEY    (dno2) REFERENCES pages (page_id)
       );

CREATE TABLE contact(
       contact_id     number(10) NOT NULL,
       name           varchar(30),
       description    varchar(100),
       PRIMARY KEY    (contact_id),
       dno3           number(2) NOT NULL,
       FOREIGN KEY    (dno3) REFERENCES users(user_id)
       );

CREATE TABLE products(
       product_id     number(10) NOT NULL,
       product_name   varchar(30),
       price          varchar(30),
       availability   number(10) NOT NULL,
       PRIMARY KEY    (product_id),
       dno4           number(2) NOT NULL,
       FOREIGN KEY    (dno4) REFERENCES contact(contact_id)
       );
 

CREATE TABLE customers(
       customer_id    number(10) NOT NULL,
       customer_name  varchar(30),
       address        varchar(30),
       account_num    number(20) NOT NULL,
       PRIMARY KEY    (customer_id),
       dno5           number(2) NOT NULL,
       FOREIGN KEY    (dno5) REFERENCES products (product_id)
       );


DESCRIBE subjects;
DESCRIBE pages;
DESCRIBE users;
DESCRIBE contact;
DESCRIBE products;
DESCRIBE customers;


INSERT INTO subjects VALUES(1,'home',1,1);
INSERT INTO subjects VALUES(2,'about us',2,1);

INSERT INTO pages VALUES(1,'overview',1,1,1);
INSERT INTO pages VALUES(2,'NEWS',2,1,1);

INSERT INTO users VALUES(1,'nazmul','s01779749484',1);
INSERT INTO users VALUES(2,'shohel','ak12345',1);

INSERT INTO contact VALUES(1,'nazmul','this is a resourceful site.',1);
INSERT INTO contact VALUES(2,'shohel','i want to buy a cannon printer.',1);

INSERT INTO products VALUES(1,'samsung tab 2','19500tk',1,1);
INSERT INTO products VALUES(2,'hp 430 laptop','32500tk',1,1);


INSERT INTO customers VALUES(1,'fahim','46/1 mirpur-2',32014329843,1);
INSERT INTO customers VALUES(2,'hasan','51/1 mirpur-2',31298988440,1);




SELECT * FROM subjects;
SELECT * FROM pages;
SELECT * FROM users;
SELECT * FROM contact;
SELECT * FROM products;
SELECT * FROM customers;







   
       